﻿using System;
using System.Net;
using System.Windows.Controls;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Docx;

namespace LoadDocxFromServer
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			WebClient webClient = new WebClient();
			webClient.OpenReadCompleted += new OpenReadCompletedEventHandler(webClient_OpenReadCompleted);
			webClient.OpenReadAsync(new Uri("Rad-RichTextBox-for-Silverlight.docx", UriKind.Relative));
		}

		void webClient_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
		{
			richTextBox.Document = new DocxFormatProvider().Import(e.Result);
			e.Result.Close();
		}
	}
}
